﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WpfApplication1
{
    public class CategoryData : INotifyPropertyChanged
    {
        private string category; private double value; private double count;
        public CategoryData(string category, double value, double count)
        {
            Category = category; Value = value;
            Count = count;
        }

        public string Category
        {
            get
            { return category; }
            set
            {
                if (category != value)
                {
                    category = value;
                    OnPropertyChanged("Category");
                }
            }
        }

        public double Value
        {
            get
            { return value; }
            set
            {
                if (this.value != value)
                {
                    this.value = value;
                    OnPropertyChanged("Value");
                }
            }
        }

        public double Count
        {
            get
            { return count; }
            set
            {
                if (this.count != value)
                {
                    this.count = value;
                    OnPropertyChanged("Count");
                }
            }
        }



        void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
        public event PropertyChangedEventHandler PropertyChanged;
    }
}
